#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import os

from kiwi.environ import Library
from kiwi.environ import _KiwiProvider

dirname = os.path.abspath(
    os.path.join(os.path.dirname(os.path.realpath(__file__)), '..'))

lib = Library('gazpacho', root=dirname)
if lib.uninstalled:
    _KiwiProvider.add_resource('catalog', os.path.join(dirname, 'catalog'))
    _KiwiProvider.add_resource('glade', os.path.join(dirname, 'glade'))
    _KiwiProvider.add_resource('resource', os.path.join(dirname, 'resources'))
    _KiwiProvider.add_resource('doc', os.path.join(dirname, '.'))
    _KiwiProvider.add_resource('pixmap', os.path.join(dirname, 'pixmaps'))
    _KiwiProvider.add_resource('pixmap', os.path.join(dirname, 'pixmaps/kiwi'))
    _KiwiProvider.add_resource('plugins', os.path.join(dirname, 'plugins'))
lib.enable_translation()

__version__ = "0.7.2"

